Skip to navigation

Retrieve terms and conditions acceptance

Beta

Returns the legal agreements of Deel’s terms and conditions at their current version, with when the organization of the token accepted each one (null until it does), and the platform terms of service. ACCEPTED once every current agreement and the terms of service are accepted, PENDING otherwise. Use it to see what the accept endpoint will accept and to gate onboarding.

Token scopes: organizations:read

Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-29.

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Headers

X-BetaenumRequiredDefaults to true

Opts in to the beta version of this endpoint. Must be true.

Allowed values:

Response

The organization's terms and conditions acceptance.
dataobject
The organization's terms and conditions acceptance.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error